searchNodes=[{"ref":"Uribe.html","title":"Uribe","type":"module","doc":"URI builder for Elixir. Uribe always receives URI struct in the first argument and always returns URI struct instead of value method"},{"ref":"Uribe.html#add_query/2","title":"Uribe.add_query/2","type":"function","doc":"Add query to URI Examples iex&gt; uri = URI.parse(&quot;https://google.com&quot;) |&gt; Uribe.add_query(%{&quot;foo&quot; =&gt; &quot;bar&quot;}) iex&gt; uri.query &quot;foo=bar&quot; iex&gt; uri = URI.parse(&quot;https://google.com&quot;) |&gt; Uribe.add_query(%{&quot;foo&quot; =&gt; &quot;bar&quot;}) |&gt; Uribe.add_query(%{&quot;foo&quot; =&gt; &quot;baz&quot;}) iex&gt; uri.query &quot;foo=baz&quot; iex&gt; uri = URI.parse(&quot;https://google.com?foo=bar&quot;) |&gt; Uribe.add_query(%{&quot;foo&quot; =&gt; &quot;baz&quot;, &quot;bar&quot; =&gt; &quot;baz&quot;}) iex&gt; uri.query &quot;bar=baz&amp;foo=baz&quot;"},{"ref":"Uribe.html#cut/2","title":"Uribe.cut/2","type":"function","doc":"Remove the entire path, query and set path Examples iex&gt; uri = URI.parse(&quot;https://google.com&quot;) |&gt; Uribe.cut(&quot;/foo/bar&quot;) iex&gt; uri.path &quot;/foo/bar&quot; iex&gt; uri = URI.parse(&quot;https://google.com#qux&quot;) |&gt; Uribe.cut(&quot;/foo/bar&quot;) iex&gt; URI.to_string(uri) &quot;https://google.com/foo/bar&quot; iex&gt; uri = URI.parse(&quot;https://google.com/bar?baz=qux#quux&quot;) |&gt; Uribe.cut(&quot;/foo&quot;) iex&gt; URI.to_string(uri) &quot;https://google.com/foo&quot;"},{"ref":"Uribe.html#fragment/2","title":"Uribe.fragment/2","type":"function","doc":"Set fragment for URI Examples iex&gt; uri = URI.parse(&quot;https://google.com&quot;) |&gt; Uribe.fragment(&quot;foo&quot;) iex&gt; uri.fragment &quot;foo&quot; iex&gt; uri = URI.parse(&quot;http://google.com&quot;) |&gt; Uribe.fragment(nil) iex&gt; uri.fragment nil iex&gt; uri = URI.parse(&quot;google.com&quot;) |&gt; Uribe.fragment(&quot;&quot;) iex&gt; uri.fragment &quot;&quot;"},{"ref":"Uribe.html#host/2","title":"Uribe.host/2","type":"function","doc":"Set host for URI Examples iex&gt; uri = URI.parse(&quot;https://google.com&quot;) |&gt; Uribe.host(&quot;yandex.ru&quot;) iex&gt; uri.host &quot;yandex.ru&quot; iex&gt; uri = URI.parse(&quot;http://google.com&quot;) |&gt; Uribe.host(&quot;localhost&quot;) iex&gt; uri.host &quot;localhost&quot; iex&gt; uri = URI.parse(&quot;google.com&quot;) |&gt; Uribe.host(&quot;&quot;) iex&gt; uri.host &quot;&quot;"},{"ref":"Uribe.html#path/2","title":"Uribe.path/2","type":"function","doc":"Set path for URI Examples iex&gt; uri = URI.parse(&quot;https://google.com&quot;) |&gt; Uribe.path(&quot;/foo/bar&quot;) iex&gt; uri.path &quot;/foo/bar&quot; iex&gt; uri = URI.parse(&quot;https://google.com/bar&quot;) |&gt; Uribe.path(&quot;/foo&quot;) iex&gt; URI.to_string(uri) &quot;https://google.com/foo&quot;"},{"ref":"Uribe.html#port/2","title":"Uribe.port/2","type":"function","doc":"Set port for URI. Receives only integer Examples iex&gt; uri = URI.parse(&quot;https://google.com&quot;) |&gt; Uribe.port(9292) iex&gt; uri.port 9292"},{"ref":"Uribe.html#remove/2","title":"Uribe.remove/2","type":"function","doc":"Remove param from URI query Examples iex&gt; uri = URI.parse(&quot;https://google.com?foo=bar&amp;baz=foo&quot;) |&gt; Uribe.remove(&quot;foo&quot;) iex&gt; uri.query &quot;baz=foo&quot; iex&gt; uri = URI.parse(&quot;https://google.com?foo=bar&amp;baz=foo&quot;) |&gt; Uribe.remove(&quot;baz&quot;) iex&gt; uri.query &quot;foo=bar&quot; iex&gt; uri = URI.parse(&quot;https://google.com?foo=bar&amp;baz=foo&quot;) |&gt; Uribe.remove([&quot;baz&quot;, &quot;foo&quot;]) iex&gt; uri.query &quot;&quot;"},{"ref":"Uribe.html#toggle_scheme/1","title":"Uribe.toggle_scheme/1","type":"function","doc":"Toggle http/https scheme for URI. If current scheme is nil or another, set https Examples iex&gt; uri = URI.parse(&quot;https://google.com&quot;) |&gt; Uribe.toggle_scheme iex&gt; uri.scheme &quot;http&quot; iex&gt; uri = URI.parse(&quot;http://google.com&quot;) |&gt; Uribe.toggle_scheme iex&gt; uri.scheme &quot;https&quot; iex&gt; uri = URI.parse(&quot;google.com&quot;) |&gt; Uribe.toggle_scheme iex&gt; uri.scheme &quot;https&quot;"},{"ref":"Uribe.html#value/2","title":"Uribe.value/2","type":"function","doc":"Get value of query param. Returns nil if not exists Examples iex&gt; uri = URI.parse(&quot;https://google.com&quot;) |&gt; Uribe.add_query(%{&quot;foo&quot; =&gt; &quot;bar&quot;, &quot;baz&quot; =&gt; &quot;qux&quot;}) iex&gt; Uribe.value(uri, &quot;baz&quot;) &quot;qux&quot; iex&gt; uri = URI.parse(&quot;https://google.com&quot;) |&gt; Uribe.add_query(%{&quot;foo&quot; =&gt; &quot;bar&quot;}) iex&gt; Uribe.value(uri, &quot;baz&quot;) nil iex&gt; URI.parse(&quot;https://google.com&quot;) |&gt; Uribe.value(&quot;foo&quot;) nil"}]